Changeset 3996 for ThirdParty/Glpk/trunk


Ignore:
Timestamp:
Sep 11, 2019 4:34:56 AM (9 months ago)
Author:
stefan
Message:

rerun autotools

Location:
ThirdParty/Glpk/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/Makefile.in

    r3473 r3996  
    19171917            doxygen doxydoc/doxygen.conf;\
    19181918          fi;\
     1919        fi
     1920
     1921pdf-doxygen-docs: doxygen-docs
     1922        if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
    19191923          if test -d "doxydoc/latex"; then \
    19201924            if test "$(COIN_HAS_LATEX)" = TRUE; then \
    19211925              cd doxydoc/latex;\
    1922               make pdf;\
     1926              $(MAKE) pdf;\
    19231927              cd -;\
    19241928            fi;\
     
    19351939        if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
    19361940          if test -d "doxydoc/"; then \
     1941            test -d "$(DESTDIR)$(DocInstallDir)/doxydoc" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc"; \
    19371942            $(INSTALL_DATA) @coin_doxy_tagname@ "$(DESTDIR)$(DocInstallDir)/@coin_doxy_tagname@";\
    1938             test -d "$(DocInstallDir)/doxydoc" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc"; \
    19391943            if test -f "doxydoc/latex/refman.pdf"; then \
    19401944              $(INSTALL_DATA) doxydoc/latex/refman.pdf "$(DESTDIR)$(DocInstallDir)";\
    19411945            fi;\
    19421946            if test -d "doxydoc/html"; then \
    1943               test -d "$(DocInstallDir)/doxydoc/search/" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc/search/"; \
     1947              test -d "$(DESTDIR)$(DocInstallDir)/doxydoc/search/" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc/search/"; \
    19441948              $(INSTALL_DATA) doxydoc/html/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc";\
    19451949              $(INSTALL_DATA) doxydoc/html/search/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc/search";\
     
    19561960        fi
    19571961
     1962all-doxygen-docs:
     1963        for dir in $(subdirs) ; do \
     1964          do_project=true;\
     1965          for proj in $(COIN_SKIP_DOXYGEN); do\
     1966            if test $$dir = $$proj; then\
     1967              do_project=false;\
     1968            fi;\
     1969          done;\
     1970          if test -r $$dir/doxydoc & $$do_project = true; then \
     1971            (cd $$dir ; $(MAKE) doxygen-docs) \
     1972          fi ; \
     1973        done ;
     1974
     1975clean-all-doxygen-docs:
     1976        for dir in $(subdirs) ; do \
     1977          if test -r $$dir/doxydoc ; then \
     1978            (cd $$dir ; $(MAKE) clean-doxygen-docs) \
     1979          fi ; \
     1980        done ;
     1981
     1982install-all-doxygen-docs: all-doxygen-docs
     1983        for dir in $(subdirs) ; do \
     1984          do_project=true;\
     1985          for proj in $(COIN_SKIP_DOXYGEN); do\
     1986            if test $$dir = $$proj; then\
     1987              do_project=false;\
     1988            fi;\
     1989          done;\
     1990          if test -r $$dir/doxydoc & $$do_project = true; then \
     1991            (cd $$dir ; $(MAKE) install-doxygen-docs) \
     1992          fi ; \
     1993        done ;
     1994
     1995uninstall-all-doxygen-docs:
     1996        for dir in $(subdirs) ; do \
     1997          if test -r $$dir/doxydoc ; then \
     1998            (cd $$dir ; $(MAKE) uninstall-doxygen-docs) \
     1999          fi ; \
     2000        done ;
     2001
    19582002install-doc: $(DocFiles)
    19592003        test -z "$(DocInstallDir)" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)"
  • ThirdParty/Glpk/trunk/configure

    r3758 r3996  
    33123312  fi
    33133313
     3314  if test -f ../../../coin_subdirs.txt ; then
     3315    for i in `cat ../../../coin_subdirs.txt` ; do
     3316      if test -d ../../../$i ; then
     3317        COIN_PKG_CONFIG_PATH_UNINSTALLED="`cd ../../../$i; pwd`:${COIN_PKG_CONFIG_PATH_UNINSTALLED}"
     3318      fi
     3319      if test -d ../../../$i/pkgconfig ; then
     3320        COIN_PKG_CONFIG_PATH_UNINSTALLED="`cd ../../../$i/pkgconfig; pwd`:${COIN_PKG_CONFIG_PATH_UNINSTALLED}"
     3321      fi
     3322    done
     3323  fi
     3324
    33143325
    33153326fi
     
    43694380  if test -r $srcdir/BuildTools/coin.m4; then
    43704381    BUILDTOOLSDIR=$srcdir/BuildTools
     4382  elif test -r $srcdir/../BuildTools/coin.m4; then
     4383    BUILDTOOLSDIR=$srcdir/../BuildTools
     4384  elif test -r $srcdir/../../BuildTools/coin.m4; then
     4385    BUILDTOOLSDIR=$srcdir/../../BuildTools
     4386  elif test -r $srcdir/../../../BuildTools/coin.m4; then
     4387    BUILDTOOLSDIR=$srcdir/../../../BuildTools
    43714388  else
    4372     if test -r $srcdir/../BuildTools/coin.m4; then
    4373       BUILDTOOLSDIR=$srcdir/../BuildTools
    4374     else
    4375       if test -r $srcdir/../../BuildTools/coin.m4; then
    4376         BUILDTOOLSDIR=$srcdir/../../BuildTools
    4377       else
    4378         { { echo "$as_me:$LINENO: error: Cannot find the BuildTools directory" >&5
     4389    { { echo "$as_me:$LINENO: error: Cannot find the BuildTools directory" >&5
    43794390echo "$as_me: error: Cannot find the BuildTools directory" >&2;}
    43804391   { (exit better disable maintainer mode.); exit better disable maintainer mode.; }; }
    4381       fi
    4382     fi
    43834392  fi
    43844393
     
    49804989*-*-irix6*)
    49814990  # Find out which ABI we are using.
    4982   echo '#line 4982 "configure"' > conftest.$ac_ext
     4991  echo '#line 4991 "configure"' > conftest.$ac_ext
    49834992  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    49844993  (eval $ac_compile) 2>&5
     
    65796588
    65806589# Provide some information about the compiler.
    6581 echo "$as_me:6581:" \
     6590echo "$as_me:6590:" \
    65826591     "checking for Fortran 77 compiler version" >&5
    65836592ac_compiler=`set X $ac_compile; echo $2`
     
    76467655   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76477656   -e 's:$: $lt_compiler_flag:'`
    7648    (eval echo "\"\$as_me:7648: $lt_compile\"" >&5)
     7657   (eval echo "\"\$as_me:7657: $lt_compile\"" >&5)
    76497658   (eval "$lt_compile" 2>conftest.err)
    76507659   ac_status=$?
    76517660   cat conftest.err >&5
    7652    echo "$as_me:7652: \$? = $ac_status" >&5
     7661   echo "$as_me:7661: \$? = $ac_status" >&5
    76537662   if (exit $ac_status) && test -s "$ac_outfile"; then
    76547663     # The compiler can only warn and ignore the option if not recognized
     
    79147923   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79157924   -e 's:$: $lt_compiler_flag:'`
    7916    (eval echo "\"\$as_me:7916: $lt_compile\"" >&5)
     7925   (eval echo "\"\$as_me:7925: $lt_compile\"" >&5)
    79177926   (eval "$lt_compile" 2>conftest.err)
    79187927   ac_status=$?
    79197928   cat conftest.err >&5
    7920    echo "$as_me:7920: \$? = $ac_status" >&5
     7929   echo "$as_me:7929: \$? = $ac_status" >&5
    79217930   if (exit $ac_status) && test -s "$ac_outfile"; then
    79227931     # The compiler can only warn and ignore the option if not recognized
     
    80188027   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80198028   -e 's:$: $lt_compiler_flag:'`
    8020    (eval echo "\"\$as_me:8020: $lt_compile\"" >&5)
     8029   (eval echo "\"\$as_me:8029: $lt_compile\"" >&5)
    80218030   (eval "$lt_compile" 2>out/conftest.err)
    80228031   ac_status=$?
    80238032   cat out/conftest.err >&5
    8024    echo "$as_me:8024: \$? = $ac_status" >&5
     8033   echo "$as_me:8033: \$? = $ac_status" >&5
    80258034   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    80268035   then
     
    1036310372  lt_status=$lt_dlunknown
    1036410373  cat > conftest.$ac_ext <<EOF
    10365 #line 10365 "configure"
     10374#line 10374 "configure"
    1036610375#include "confdefs.h"
    1036710376
     
    1046310472  lt_status=$lt_dlunknown
    1046410473  cat > conftest.$ac_ext <<EOF
    10465 #line 10465 "configure"
     10474#line 10474 "configure"
    1046610475#include "confdefs.h"
    1046710476
     
    1280712816   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1280812817   -e 's:$: $lt_compiler_flag:'`
    12809    (eval echo "\"\$as_me:12809: $lt_compile\"" >&5)
     12818   (eval echo "\"\$as_me:12818: $lt_compile\"" >&5)
    1281012819   (eval "$lt_compile" 2>conftest.err)
    1281112820   ac_status=$?
    1281212821   cat conftest.err >&5
    12813    echo "$as_me:12813: \$? = $ac_status" >&5
     12822   echo "$as_me:12822: \$? = $ac_status" >&5
    1281412823   if (exit $ac_status) && test -s "$ac_outfile"; then
    1281512824     # The compiler can only warn and ignore the option if not recognized
     
    1291112920   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1291212921   -e 's:$: $lt_compiler_flag:'`
    12913    (eval echo "\"\$as_me:12913: $lt_compile\"" >&5)
     12922   (eval echo "\"\$as_me:12922: $lt_compile\"" >&5)
    1291412923   (eval "$lt_compile" 2>out/conftest.err)
    1291512924   ac_status=$?
    1291612925   cat out/conftest.err >&5
    12917    echo "$as_me:12917: \$? = $ac_status" >&5
     12926   echo "$as_me:12926: \$? = $ac_status" >&5
    1291812927   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1291912928   then
     
    1448114490   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1448214491   -e 's:$: $lt_compiler_flag:'`
    14483    (eval echo "\"\$as_me:14483: $lt_compile\"" >&5)
     14492   (eval echo "\"\$as_me:14492: $lt_compile\"" >&5)
    1448414493   (eval "$lt_compile" 2>conftest.err)
    1448514494   ac_status=$?
    1448614495   cat conftest.err >&5
    14487    echo "$as_me:14487: \$? = $ac_status" >&5
     14496   echo "$as_me:14496: \$? = $ac_status" >&5
    1448814497   if (exit $ac_status) && test -s "$ac_outfile"; then
    1448914498     # The compiler can only warn and ignore the option if not recognized
     
    1458514594   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1458614595   -e 's:$: $lt_compiler_flag:'`
    14587    (eval echo "\"\$as_me:14587: $lt_compile\"" >&5)
     14596   (eval echo "\"\$as_me:14596: $lt_compile\"" >&5)
    1458814597   (eval "$lt_compile" 2>out/conftest.err)
    1458914598   ac_status=$?
    1459014599   cat out/conftest.err >&5
    14591    echo "$as_me:14591: \$? = $ac_status" >&5
     14600   echo "$as_me:14600: \$? = $ac_status" >&5
    1459214601   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1459314602   then
     
    1679216801   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1679316802   -e 's:$: $lt_compiler_flag:'`
    16794    (eval echo "\"\$as_me:16794: $lt_compile\"" >&5)
     16803   (eval echo "\"\$as_me:16803: $lt_compile\"" >&5)
    1679516804   (eval "$lt_compile" 2>conftest.err)
    1679616805   ac_status=$?
    1679716806   cat conftest.err >&5
    16798    echo "$as_me:16798: \$? = $ac_status" >&5
     16807   echo "$as_me:16807: \$? = $ac_status" >&5
    1679916808   if (exit $ac_status) && test -s "$ac_outfile"; then
    1680016809     # The compiler can only warn and ignore the option if not recognized
     
    1706017069   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1706117070   -e 's:$: $lt_compiler_flag:'`
    17062    (eval echo "\"\$as_me:17062: $lt_compile\"" >&5)
     17071   (eval echo "\"\$as_me:17071: $lt_compile\"" >&5)
    1706317072   (eval "$lt_compile" 2>conftest.err)
    1706417073   ac_status=$?
    1706517074   cat conftest.err >&5
    17066    echo "$as_me:17066: \$? = $ac_status" >&5
     17075   echo "$as_me:17075: \$? = $ac_status" >&5
    1706717076   if (exit $ac_status) && test -s "$ac_outfile"; then
    1706817077     # The compiler can only warn and ignore the option if not recognized
     
    1716417173   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1716517174   -e 's:$: $lt_compiler_flag:'`
    17166    (eval echo "\"\$as_me:17166: $lt_compile\"" >&5)
     17175   (eval echo "\"\$as_me:17175: $lt_compile\"" >&5)
    1716717176   (eval "$lt_compile" 2>out/conftest.err)
    1716817177   ac_status=$?
    1716917178   cat out/conftest.err >&5
    17170    echo "$as_me:17170: \$? = $ac_status" >&5
     17179   echo "$as_me:17179: \$? = $ac_status" >&5
    1717117180   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1717217181   then
Note: See TracChangeset for help on using the changeset viewer.